qtmobility/plugins/contacts/qtcontacts-tracker/tests/ut_qtcontacts_trackerplugin/ut_qtcontacts_trackerplugin_data/updateTpStatus.sparql
changeset 4 90517678cc4f
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/qtmobility/plugins/contacts/qtcontacts-tracker/tests/ut_qtcontacts_trackerplugin/ut_qtcontacts_trackerplugin_data/updateTpStatus.sparql	Mon May 03 13:18:40 2010 +0300
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+if [ -z "$1" ]; then
+echo "usage: $0 <IMAddress-uri> <imPresence>"
+exit 1
+fi
+tracker-sparql --update --query "
+DELETE { <$1> nco:imPresence ?status }
+WHERE { <$1> nco:imPresence ?status }
+INSERT { <$1> nco:imPresence $2 }
+"